Bug 206173 - [NEW PORTS] net/p5-Net-MQTT and net/p5-AnyEvent-MQTT
Summary: [NEW PORTS] net/p5-Net-MQTT and net/p5-AnyEvent-MQTT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olli Hauer
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-12 21:27 UTC by Alex.Bakhtin
Modified: 2016-04-08 03:38 UTC (History)
1 user (show)

See Also:


Attachments
net/p5-Net-MQTT && net/p5-AnyEvent-MQTT (6.60 KB, text/plain)
2016-01-12 21:27 UTC, Alex.Bakhtin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex.Bakhtin 2016-01-12 21:27:51 UTC
Created attachment 165460 [details]
net/p5-Net-MQTT && net/p5-AnyEvent-MQTT

I make ports for two MQTT related perl modules: Net::MQTT and AnyEvent::MQTT.

================
Net::MQTT - Perl modules for MQTT Protocol (http://mqtt.org/)

Low level API for the MQTT protocol described at http://mqtt.org.
IMPORTANT: This is an early release and the API is still subject to change.

===============
AnyEvent::MQTT

AnyEvent module for MQTT client.

IMPORTANT: This is an early release and the API is still subject to change.
===============

AnyEvent::MQTT depends on Net::MQTT.

Please commit.
Comment 1 Olli Hauer freebsd_committer 2016-04-07 19:46:20 UTC
I'll take it
Comment 2 commit-hook freebsd_committer 2016-04-07 19:52:04 UTC
A commit references this bug:

Author: ohauer
Date: Thu Apr  7 19:51:28 UTC 2016
New revision: 412688
URL: https://svnweb.freebsd.org/changeset/ports/412688

Log:
  dd new port p5-Net-MQTT

  Net::MQTT - Perl modules for MQTT Protocol (http://mqtt.org/)

  Low level API for the MQTT protocol described at http://mqtt.org.
  IMPORTANT: This is an early release and the API is still subject to change.

  PR:		206173
  Submitted by:	Alex.Bakhtin@gmail.com

Changes:
  head/net/Makefile
  head/net/p5-Net-MQTT/
  head/net/p5-Net-MQTT/Makefile
  head/net/p5-Net-MQTT/distinfo
  head/net/p5-Net-MQTT/pkg-descr
  head/net/p5-Net-MQTT/pkg-plist
Comment 3 commit-hook freebsd_committer 2016-04-07 19:53:06 UTC
A commit references this bug:

Author: ohauer
Date: Thu Apr  7 19:52:06 UTC 2016
New revision: 412689
URL: https://svnweb.freebsd.org/changeset/ports/412689

Log:
  - add new port p5-AnyEvent-MQTT

  AnyEvent::MQTT - AnyEvent module for an MQTT client

  PR:		206173
  Submitted by:	Alex.Bakhtin@gmail.com

Changes:
  head/net/Makefile
  head/net/p5-AnyEvent-MQTT/
  head/net/p5-AnyEvent-MQTT/Makefile
  head/net/p5-AnyEvent-MQTT/distinfo
  head/net/p5-AnyEvent-MQTT/pkg-descr
  head/net/p5-AnyEvent-MQTT/pkg-plist
Comment 4 Olli Hauer freebsd_committer 2016-04-07 19:56:04 UTC
Committed!

PS:
would you mind to test the ports against the current mosquitto version ( bug #208144 )
Comment 5 Olli Hauer freebsd_committer 2016-04-07 19:57:22 UTC
Ups, wrong PR, should be bug #208606
Comment 6 commit-hook freebsd_committer 2016-04-08 03:38:49 UTC
A commit references this bug:

Author: ohauer
Date: Fri Apr  8 03:37:49 UTC 2016
New revision: 412713
URL: https://svnweb.freebsd.org/changeset/ports/412713

Log:
  - remove perl core modules from dependency
  - p5-Pod-Usage is only used for testing
  - bump PORTREVISION

  PR:		206173
  Reported by:	adamw@

Changes:
  head/net/p5-AnyEvent-MQTT/Makefile
  head/net/p5-Net-MQTT/Makefile